package com.brilliance.isc.swift.swifteditor.util;
public abstract class Assert {
	protected Assert() {
    }

    public static void notNull(Object obj, String message) {
        if (obj == null) {
            throw new IllegalArgumentException(message);
        }
    }
    
    public static void notNullByArray(Object[] obj, String message) {
        if (obj == null || obj.length == 0) {
            throw new IllegalArgumentException(message);
        }
    }
    
    public static void state(boolean expression, String message) {
		if (!expression) {
//			throw new IllegalStateException(message);
            System.out.println(message);
		}
	}
}
